# API 參考

- [event（事件）](https://developer.eagle.cool/plugin-api/zh-tw/api/event.md): 你可以根據需要，事先定義好一些回呼函式，Eagle 會在事件產生時主動呼叫它們。
- [item（項目）](https://developer.eagle.cool/plugin-api/zh-tw/api/item.md): 透過 eagle.item API 可以方便的查詢當前資源庫內容或新增新的內容到資源庫中。
- [folder（資料夾）](https://developer.eagle.cool/plugin-api/zh-tw/api/folder.md): 透過 eagle.folder API 可以方便的建立新的資料夾或者存取當前應用中的資料夾，。
- [smartFolder（智慧型資料夾）](https://developer.eagle.cool/plugin-api/zh-tw/api/smart-folder.md): 透過 eagle.smartFolder API 可以方便的建立、查詢、修改及刪除智慧型資料夾。
- [tag（標籤）](https://developer.eagle.cool/plugin-api/zh-tw/api/tag.md): 透過 eagle.tag API 可以方便存取當前應用中的標籤。
- [tagGroup（標籤群組）](https://developer.eagle.cool/plugin-api/zh-tw/api/tag-group.md): 透過 eagle.tagGroup API 可以方便存取當前應用中的標籤群組。
- [library（資源庫）](https://developer.eagle.cool/plugin-api/zh-tw/api/library.md): 取得當前 Eagle 正在使用的資源庫資訊。
- [window（視窗）](https://developer.eagle.cool/plugin-api/zh-tw/api/window.md): 控制插件視窗顯示、隱藏、全螢幕等各種操作。
- [app（應用）](https://developer.eagle.cool/plugin-api/zh-tw/api/app.md): 取得 Eagle 應用程式版本、架構、語系等屬性。
- [os（作業系統）](https://developer.eagle.cool/plugin-api/zh-tw/api/os.md): 与 Node.js 中的 os 模块类似，提供了一些基本的系统操作函数。
- [screen（螢幕）](https://developer.eagle.cool/plugin-api/zh-tw/api/screen.md): 取得螢幕大小、顯示器、游標位置等的資訊。
- [notification（通知）](https://developer.eagle.cool/plugin-api/zh-tw/api/notification.md): 在螢幕角落跳出提視視窗，提示使用者操作狀態。
- [contextMenu（右鍵選單）](https://developer.eagle.cool/plugin-api/zh-tw/api/context-menu.md): 建立系統原生應用程式的滑鼠右鍵選單。
- [dialog（對話框）](https://developer.eagle.cool/plugin-api/zh-tw/api/dialog.md): 跳出系統對話框功能，包含開啓、儲存檔案、提示、警報等。
- [clipboard（剪貼板）](https://developer.eagle.cool/plugin-api/zh-tw/api/clipboard.md): 在系統剪貼板上執行復制和粘貼操作。
- [drag（拖曳檔案）](https://developer.eagle.cool/plugin-api/zh-tw/api/drag.md): 實現原生系統檔案拖放功能。
- [shell（殼）](https://developer.eagle.cool/plugin-api/zh-tw/api/shell.md): 使用預設應用程式管理檔案和 URL。
- [log（日誌）](https://developer.eagle.cool/plugin-api/zh-tw/api/log.md): 在 Eagle 軟體日誌記錄特定資訊，以利開發中的除錯、除錯。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/zh-tw/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
